package be.panako.strategy;

import be.panako.strategy.cteq.CteQStrategy;
import be.panako.strategy.fft.FFTStrategy;
import be.panako.util.Config;
import be.panako.util.Key;

public abstract class Strategy {
	
	public abstract double store(String resource, String description);
	
	public abstract void query(String query, int maxNumberOfResults, QueryResultHandler handler);
	
	public abstract boolean hasResource(String resource);
	
	public abstract boolean storageIsAvailable();
	
	public abstract void printStats();
	
	/**
	 * Checks the configuration and returns a strategy.
	 * @return An instance of the strategy.
	 */
	
	
	
	private static Strategy strategy;
	public static Strategy getInstance(){
		if(strategy == null){
			if("CTEQ".equalsIgnoreCase(Config.get(Key.STRATEGY))){
				strategy = new CteQStrategy();
			}else if ("FFT".equalsIgnoreCase(Config.get(Key.STRATEGY))){
				strategy = new FFTStrategy();
			}
		}
		return strategy;
	}
}
