/**********************************************************************
*  ______   ________   ___   __    ________   ___   ___   ______      *
* /_____/\ /_______/\ /__/\ /__/\ /_______/\ /___/\/__/\ /_____/\     *      
* \:::_ \ \\::: _  \ \\::\_\\  \ \\::: _  \ \\::.\ \\ \ \\:::_ \ \    *   
*  \:(_) \ \\::(_)  \ \\:. `-\  \ \\::(_)  \ \\:: \/_) \ \\:\ \ \ \   * 
*   \: ___\/ \:: __  \ \\:. _    \ \\:: __  \ \\:. __  ( ( \:\ \ \ \  * 
*    \ \ \    \:.\ \  \ \\. \`-\  \ \\:.\ \  \ \\: \ )  \ \ \:\_\ \ \ * 
*     \_\/     \__\/\__\/ \__\/ \__\/ \__\/\__\/ \__\/\__\/  \_____\/ *
*                                                                     *
***********************************************************************
*                                                                     *
*                              Panako                                 * 
*                       Acoustic Fingerprinting                       *
*                                                                     *
***********************************************************************/

package be.panako.strategy.fft.storage;

import be.panako.util.Config;
import be.panako.util.Key;

/**
 * A structure to match a query.
 * @author Joren Six
 */
public class FFTFingerprintQueryMatch{
	public int identifier;
	public double starttime;
	public int score;
	public int mostPopularOffset;
	
	public double getStartTime(){
		//The FFT hop size in seconds
		float fftHopSizesS = Config.getInt(Key.FFT_STEP_SIZE) / (float) Config.getInt(Key.FFT_SAMPLE_RATE);
		return mostPopularOffset * fftHopSizesS;
	}
}
